lv.eparaksts.validation

## Enum ValidationType

- java.lang.Object
- - java.lang.Enum<ValidationType>
  - - lv.eparaksts.validation.ValidationType

- All Implemented Interfaces:
    Serializable, Comparable<ValidationType>

      public enum ValidationType
      extends Enum<ValidationType>

  Object validation type enumeration.
  See Also:
    `ValidationResult.getType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ROOT`
    `SIGNATURE`
    `SIGNATURE_EDOC_DATA_OBJECT_REFERENCES`
    `SIGNATURE_EDOC_SIGNING_CERTIFICATE_REFERENCES`
    `SIGNATURE_METHOD`
    `SIGNATURE_PDF_ADBE_PKCS7_DETACHED_SIGNED_ATTRIBUTES`
    `SIGNATURE_PDF_ETSI_CADES_DETACHED_SIGNED_ATTRIBUTES`
    `SIGNATURE_PROFILE`
    `SIGNATURE_SIGNING_CERTIFICATE`
    `SIGNATURE_SIGNING_CERTIFICATE_CHAIN`
    `SIGNATURE_SIGNING_CERTIFICATE_STATUS`
    `SIGNATURE_TIMESTAMP`
    `SIGNATURE_TIMESTAMP_CERTIFICATE`
    `SIGNATURE_TIMESTAMP_SIGNATURE`
    `SIGNATURE_TYPE`
    `SIGNATURE_VALUE`
    `STRUCTURE`
    `STRUCTURE_EDOC_DATA_OBJECT_COUNT`
    `STRUCTURE_PDF_PAGE_COUNT`
    `STRUCTURE_SIGNATURE_COUNT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT

          public static final ValidationType ROOT

    - #### STRUCTURE

          public static final ValidationType STRUCTURE

    - #### STRUCTURE_SIGNATURE_COUNT

          public static final ValidationType STRUCTURE_SIGNATURE_COUNT

    - #### STRUCTURE_EDOC_DATA_OBJECT_COUNT

          public static final ValidationType STRUCTURE_EDOC_DATA_OBJECT_COUNT

    - #### STRUCTURE_PDF_PAGE_COUNT

          public static final ValidationType STRUCTURE_PDF_PAGE_COUNT

    - #### SIGNATURE

          public static final ValidationType SIGNATURE

    - #### SIGNATURE_TYPE

          public static final ValidationType SIGNATURE_TYPE

    - #### SIGNATURE_PROFILE

          public static final ValidationType SIGNATURE_PROFILE

    - #### SIGNATURE_METHOD

          public static final ValidationType SIGNATURE_METHOD

    - #### SIGNATURE_PDF_ETSI_CADES_DETACHED_SIGNED_ATTRIBUTES

          public static final ValidationType SIGNATURE_PDF_ETSI_CADES_DETACHED_SIGNED_ATTRIBUTES

    - #### SIGNATURE_PDF_ADBE_PKCS7_DETACHED_SIGNED_ATTRIBUTES

          public static final ValidationType SIGNATURE_PDF_ADBE_PKCS7_DETACHED_SIGNED_ATTRIBUTES

    - #### SIGNATURE_EDOC_SIGNING_CERTIFICATE_REFERENCES

          public static final ValidationType SIGNATURE_EDOC_SIGNING_CERTIFICATE_REFERENCES

    - #### SIGNATURE_EDOC_DATA_OBJECT_REFERENCES

          public static final ValidationType SIGNATURE_EDOC_DATA_OBJECT_REFERENCES

    - #### SIGNATURE_VALUE

          public static final ValidationType SIGNATURE_VALUE

    - #### SIGNATURE_SIGNING_CERTIFICATE

          public static final ValidationType SIGNATURE_SIGNING_CERTIFICATE

    - #### SIGNATURE_SIGNING_CERTIFICATE_CHAIN

          public static final ValidationType SIGNATURE_SIGNING_CERTIFICATE_CHAIN

    - #### SIGNATURE_SIGNING_CERTIFICATE_STATUS

          public static final ValidationType SIGNATURE_SIGNING_CERTIFICATE_STATUS

    - #### SIGNATURE_TIMESTAMP

          public static final ValidationType SIGNATURE_TIMESTAMP

    - #### SIGNATURE_TIMESTAMP_SIGNATURE

          public static final ValidationType SIGNATURE_TIMESTAMP_SIGNATURE

    - #### SIGNATURE_TIMESTAMP_CERTIFICATE

          public static final ValidationType SIGNATURE_TIMESTAMP_CERTIFICATE

  - ### Method Detail

    - #### values

          public static ValidationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationType c : ValidationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO